/* 
Theme Name: Hello Elementor Child
Theme URI: https://github.com/elementor/hello-theme-child/
Description: Hello Elementor Child is a child theme of Hello Elementor, created by Elementor team
Author: Elementor Team
Author URI: https://elementor.com/
Template: hello-elementor
Version: 2.0.0
Text Domain: hello-elementor-child
License: GNU General Public License v3 or later.
License URI: https://www.gnu.org/licenses/gpl-3.0.html
Tags: flexible-header, custom-colors, custom-menu, custom-logo, editor-style, featured-images, rtl-language-support, threaded-comments, translation-ready
*/

@import url("assets/css/impianti.css");
@import url("assets/css/attivita-gruppo.css");
@import url("assets/css/news.css");
@import url("assets/css/amministrazione-trasparente.css");

/* Generali */
.wrapper-padding-xs {padding:10px 10px;}
.wrapper-padding-sm {padding:25px 10px;}
.wrapper-padding-md {padding:50px 10px;}
.wrapper-padding-lg {padding:clamp(50px, 7.5vw, 100px) 10px;}
.wrapper-padding-xl {padding:150px 10px;}
.pt-0 {padding-top:0;}
.pb-0 {padding-bottom:0;}

/* Elementor: fix scrollbar orizzontale */
html, body {overflow-x:hidden;}

/* Elementor: fix margine ultimo paragrafo */
.elementor-widget-text-editor p:last-child {margin-bottom:0!important;}

/* Elementor: fix altezza icona */
.elementor-widget-icon > .elementor-icon-wrapper > a {display:block;}

/* Titoli e testi */
.elementor-heading-title {text-wrap:balance;}
.e-loop-item .elementor-heading-title {text-wrap:pretty!important;}
.elementor-widget-heading.titolo-animato {animation-duration:1.25s; animation-name:fadeInUpCustom;}
.elementor-widget-heading.titolo-animato {text-align:center; margin-bottom: -20px!important;}
.text-wrap-balance {text-wrap:balance;}

@keyframes fadeInUpCustom {
	from {
		opacity: 0;
		transform: translate3d(0,100%,0)
	}

	to {
		opacity: 1;
		transform: none
	}
}

/* Header homepage fixed */
body.home .elementor-location-header {position:absolute; left:0; right:0; z-index:9999;}

/* Header sticky */
body.home .elementor-location-header .elementor-sticky.elementor-sticky--effects {background-color: rgba(10,0,69,0.75);}

/* Header sticky */
.elementor-location-header .elementor-sticky.elementor-sticky--effects {border-bottom:1px solid rgba(0,0,0,0.125);}

/* Elementor Fix: mette lo sfondo a piena larghezza al pulsante del widget "Call to action" */
.elementor-widget-call-to-action .elementor-cta__button {width:100%!important;}

/* Elementor: fix allineamento icone */
.elementor-widget-text-editor p:last-child {margin-bottom:0!important;}

/* Elementor: fix allineamento icone nei bottoni */
.elementor-button span.elementor-button-icon {align-items:center;}

/* Elementor: fix carousel */
.elementor-widget-image-carousel .elementor-image-carousel-wrapper .elementor-image-carousel .swiper-slide-image {display:block!important;}

/* Form */
.elementor-field-type-acceptance > label {display:none;}
.elementor-field-type-acceptance .elementor-field-option > input {vertical-align:middle;}
.elementor-field-type-acceptance .elementor-field-option > label {font-size:0.75rem!important;}

/* Footer: link iubenda */
.elementor-location-footer a.iubenda-cs-preferences-link {color:var(--e-global-color-af6608c); transition:color 0.3s;}
.elementor-location-footer a.iubenda-cs-preferences-link:hover {color:var(--e-global-color-accent);}


/* Attività: dettagli */
.attivita-dettagli > ul {list-style-type:none; margin:0; padding:0;}
.attivita-dettagli > ul > li {}
.attivita-dettagli > ul > li + li {margin-top:5px;}
.attivita-dettagli > ul > li > i {color:var(--e-global-color-primary); font-size:1.125rem;}

/* Attività: tariffa */
.attivita-tariffa > h5 {margin-top:0; margin-bottom:10px;}
.attivita-tariffa > p:last-child {margin-bottom:0!important;}

/* Attività: note */
.attivita-tariffa + .attivita-note {margin-top:10px;}
.attivita-note > p {font-size:.875rem; line-height:1.3;}
.attivita-note > p:last-child {margin-bottom:0!important;}

.elementor-widget-text-editor.custom-list > ul {list-style-type:none; margin:0; padding:0;}
.elementor-widget-text-editor.custom-list > ul > li {position:relative; padding-left:1.75em;}
.elementor-widget-text-editor.custom-list > ul > li + li {margin-top:10px;}
.elementor-widget-text-editor.custom-list > ul > li::before {display:inline-block; font-style:normal; font-variant:normal; text-rendering:auto; -webkit-font-smoothing:antialiased;}
.elementor-widget-text-editor.custom-list > ul > li::before {font-family:"Font Awesome 5 Free"; font-weight:900; content:"\f00c"; color:var(--e-global-color-secondary); font-size:1.125rem;}
.elementor-widget-text-editor.custom-list > ul > li::before {position:absolute; top:0; left:0; width:1.25em; text-align:left;}


.attivita-wrapper {background-color:var(--e-global-color-dc12a2d); padding:20px;}
.attivita-wrapper + .attivita-wrapper {margin-top:20px;}

/* Rank Math Breadcrumbs */
nav.rank-math-breadcrumb > p {margin-bottom:0!important; color:var(--e-global-color-af6608c); font-size:0.875rem; line-height:1.4em;}
nav.rank-math-breadcrumb > p > a {color:var(--e-global-color-af6608c); transition:color 0.3s;}

/* Loop carousel */
.elementor-widget-loop-carousel.elementor-arrows-position-inside .elementor-swiper-button {color:#FFF; font-size:25px; padding:10px; transition:all .3s;}
.elementor-widget-loop-carousel.elementor-arrows-position-inside .elementor-swiper-button {background-color:var(--e-global-color-62815cf);}
.elementor-widget-loop-carousel.elementor-arrows-position-inside .elementor-swiper-button:hover,
.elementor-widget-loop-carousel.elementor-arrows-position-inside .elementor-swiper-button:focus {background-color:var(--e-global-color-efffa59);}

/* Google reCAPTCHA */
.elementor-field-type-recaptcha_v3 {margin-bottom:0!important;}
.elementor-field-type-recaptcha_v3 .grecaptcha-badge {visibility:hidden!important; width:1px!important; height:1px!important;}
.recaptcha-notice a {text-decoration:underline!important;}